Data Fields

# rtu_request Struct Reference

RTU request: input for the RTU. More...

`#include <rtu.h>`

## Data Fields
int | port_id
uint8_t | src [ETH_ALEN]
uint8_t | dst [ETH_ALEN]
uint16_t | vid
int | has_vid
uint8_t | prio
int | has_prio

## Detailed Description

RTU request: input for the RTU.

## Field Documentation

uint8_t rtu_request::dst[ETH_ALEN]

int rtu_request::has_prio

int rtu_request::has_vid

int rtu_request::port_id

uint8_t rtu_request::prio

uint8_t rtu_request::src[ETH_ALEN]

uint16_t rtu_request::vid

The documentation for this struct was generated from the following file:

- software/wrsw_rtud/rtu.h

All Data Structures Files Functions Variables Defines